Delete Time Report
curl --request DELETE \
--url https://api.twine.se/v1/org/time-reports/{time_report_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org/time-reports/{time_report_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org/time-reports/{time_report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.twine.se/v1/org/time-reports/{time_report_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.twine.se/v1/org/time-reports/{time_report_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.twine.se/v1/org/time-reports/{time_report_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.twine.se/v1/org/time-reports/{time_report_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": 404,
"errors": [],
"message": "Not Found"
}{
"code": 422,
"errors": [],
"message": "Unprocessable Entity"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}Time Reports
Delete Time Report
Delete an existing Time Report.
DELETE
/
v1
/
org
/
time-reports
/
{time_report_id}
Delete Time Report
curl --request DELETE \
--url https://api.twine.se/v1/org/time-reports/{time_report_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org/time-reports/{time_report_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org/time-reports/{time_report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.twine.se/v1/org/time-reports/{time_report_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.twine.se/v1/org/time-reports/{time_report_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.twine.se/v1/org/time-reports/{time_report_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.twine.se/v1/org/time-reports/{time_report_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": 404,
"errors": [],
"message": "Not Found"
}{
"code": 422,
"errors": [],
"message": "Unprocessable Entity"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}Authorizations
Bearer token for authentication
Path Parameters
Query Parameters
Whether to queue downstream jobs for processing after deletion. Defaults to true.
If set, schedule the downstream jobs to be executed after the given number of seconds. Defaults to 60 seconds.
Start date (yyyy-mm-dd) of the date range for which downstream jobs should be processed. If not provided, the time report's start_date will be used.
End date (yyyy-mm-dd) of the date range for which downstream jobs should be processed. If not provided, the time report's end_date will be used.
The domain mapping ID to use when scheduling downstream jobs. If not provided, jobs will be scheduled for all relevant domain mappings.
Response
No Content Response